%define languageenglazy Malay
%define languagecode    ms
%define lc_ctype        ms_MY

%define upstream_version 20050117

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GFDL and GPL+
Group:          System/Internationalization
URL:            http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/
Source0:        http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/ms_MY.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ms
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ms_BN = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ms_BN = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ms_MY.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.20050117.1-14.mga6
+ Revision: 939724
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20050117.1-13.mga5
+ Revision: 749188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20050117.1-12.mga5
+ Revision: 680278
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20050117.1-11.mga4
+ Revision: 521320
- Mageia 4 Mass Rebuild

* Sun Jan 20 2013 kamil <kamil> 0.20050117.1-10.mga3
+ Revision: 390217
- stop installing language aliases

* Sat Jan 12 2013 umeabot <umeabot> 0.20050117.1-9.mga3
+ Revision: 353588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20050117.1-8.mga2
+ Revision: 224765
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.20050117.1-7.mga2
+ Revision: 208582
- use better obsoleting of myspell

* Tue Feb 07 2012 kamil <kamil> 0.20050117.1-6.mga2
+ Revision: 205954
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20050117.1-5.mga1
+ Revision: 68964
- imported package hunspell-ms


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050117-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050117-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050117-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 03 2007 Caolan McNamara <caolanm@redhat.com> - 0.20050117-2
- clarify license, the .aff apparently is GPL+ while the wordlist is GFDL

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20050117-1
- initial version
